/////////////////////////////////////////////////////////////////////
// UT99.org Weapons Presents - Guardian Of UT99.org (A Weapon)
// Creator: Rocky, Time: 11.39AM, Date: June 19,2013
/////////////////////////////////////////////////////////////////////
class Guardian expands TournamentWeapon;

var bool bAlreadyFiring;

function float RateSelf( out int bUseAltMode )
{
	local float EnemyDist;

	if ( AmmoType.AmmoAmount <=0 )
		return -2;
	if ( Pawn(Owner).Enemy == None )
	{
		bUseAltMode = 0;
		return AIRating;
	}

	EnemyDist = VSize(Pawn(Owner).Enemy.Location - Owner.Location);
	bUseAltMode = int( 600 * FRand() > EnemyDist - 140 );
	return AIRating;
}

function PlayFiring()
{
	Owner.PlaySound(FireSound, SLOT_Misc,2.0*Pawn(Owner).SoundDampening);		
	PlayAnim( 'TThro001', 1.03 );
}

function PlayAltFiring()
{
	Owner.PlaySound(AltFireSound, SLOT_Misc,2.0*Pawn(Owner).SoundDampening);		
	PlayAnim( 'TChest', 1.03 );
}

function Fire( float Value )
{
	if ( AmmoType == None )
	{
		// ammocheck
		GiveAmmo(Pawn(Owner));
	}
	if (AmmoType.UseAmmo(1))
	{
		GotoState('Firing');
		bCanClientFire = true;
		bPointing=True;
		ClientFire(Value);
		ProjectileFire(ProjectileClass, AltProjectileSpeed, bAltWarnTarget);
	}
}

function AltFire( float Value )
{
	if ( AmmoType == None )
	{
		// ammocheck
		GiveAmmo(Pawn(Owner));
	}
	if (AmmoType.UseAmmo(50))
	{
		GotoState('AltFiring');
		bCanClientFire = true;
		bPointing=True;
		ClientAltFire(Value);
		ProjectileFire(AltProjectileClass, AltProjectileSpeed, bAltWarnTarget);
	}
}

function PlayIdleAnim()
{
	LoopAnim('TShuffle');
}


	

defaultproperties
{
     AmmoName=Class'UT99OrgMW.GuardianAmmo'
     PickupAmmoCount=50
     ProjectileClass=Class'UT99OrgMW.MagmaBoulder'
	 AltProjectileClass=Class'UT99OrgMW.GuardianAlt'
     shakemag=120.000000
     AIRating=0.400000
     RefireRate=0.800000
     FireSound=Sound'UnrealI.Titan.punch1Ti'
     AltFireSound=Sound'UnrealI.Titan.chestB2Ti'
     SelectSound=Sound'UnrealI.Titan.yell1t'
     DeathMessage="%o was send to Heaven by %k's %w."
     AutoSwitchPriority=9
     InventoryGroup=10
     PickupMessage="You picked up the Guardian Of UT99.org"
     ItemName="Guardian Of UT99.org"
     PlayerViewOffset=(X=25.000000,Y=-20.000000,Z=-15.000000)
     PlayerViewMesh=LodMesh'UnrealI.Titan1'
     PlayerViewScale=0.100000
     BobDamping=1.030000
     PickupViewMesh=LodMesh'UnrealI.Titan1'
     PickupViewScale=0.500000
     ThirdPersonMesh=LodMesh'UnrealI.Titan1'
     ThirdPersonScale=0.1000000
     PickupSound=Sound'UnrealI.Titan.death1t'
     Mesh=LodMesh'UnrealI.Titan1'
     bNoSmooth=False
     SoundRadius=255
     SoundVolume=255
     CollisionRadius=27.000000
     CollisionHeight=8.000000
}
